#include <stdio.h>
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
#ifndef __cplusplus
# define output(c) (void)putc(c,yyout)
#else
# define lex_output(c) (void)putc(c,yyout)
#endif

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
	int yylex(void);
#ifdef YYLEX_E
	void yywoutput(wchar_t);
	wchar_t yywinput(void);
#endif
#ifndef yyless
	int yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef LEXDEBUG
	void allprint(char);
	void sprint(char *);
#endif
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
	void exit(int);
#ifdef __cplusplus
}
#endif

#endif
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
#ifndef __cplusplus
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#else
# define lex_input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#endif
#define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng;
char yytext[YYLMAX];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

# line 3 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*
 * The Termprocessor Kimwitu
 *
 * Copyright (c) 1991 University of Twente, Dept TIOS.
 * All rights reserved.
 *
 */

# line 12 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*
 * kimwl.l
 */
#if ! (defined(lint) || defined(SABER) || defined(CODECENTER))
static char kimwl_lAccesSid[] = "@(#)$Id: kimwl.l,v 2.30 1996/10/29 17:42:13 belinfan Rel $";
#endif

# line 20 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/* comments to suppress known `errors' */

# line 21 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*SUPPRESS 529*/

# line 22 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*SUPPRESS  25*/
#if (defined(SABER) || defined(CODECENTER))
# define lint
#endif

# line 28 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/* WARNING: YYLMAX should be at least 500
 * (because some people write real specs ...)
 * use the BUFSIZ that is defined in <stdio.h> as #define BUFSIZ 1024
 * this is a no-op on a sun: sun's lex already defines #define YYLMAX BUFSIZ
 * however, on a hp we get problems: YYLMAX is defined as #define YYLMAX 200
 * first get rid of old value: #undef YYLMAX before #define YYLMAX 'our-value'
 */
#undef YYLMAX
#define YYLMAX BUFSIZ


# line 38 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/* WARNING: some lexers (like (some versions of?) flex) #define yywrap
 * which causes problems if we try to define a function for it.
 * So, we undef it if defined.
 */
#ifdef yywrap
# undef yywrap
#endif
#define count(x) counter(x)

# line 52 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/***************************************************************************/

# line 53 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*
 * Name conventions: tokens and states are in CAPITALS
 * operators are capitalized
 *
 */
# define NORMAL 2
# define INCL 4
# define INCLSTART 6
# define CEXPR 8
# define CEXPRDQ 10
# define CEXPRSQ 12
# define C 14
#if defined(__STDC__)
# include <stdlib.h>
#endif
#include <string.h>

#include "k.h"
#include "kimwy.h"

static int cinit_paren_nesting =0;
static int cinit_array_nesting =0;
static void reset_nestcount KC__P(());

static int eat_comment KC__P(( casestring ));
static void counter KC__P(( int ));
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
#ifdef __cplusplus
/* to avoid CC and lint complaining yyfussy not being used ...*/
static int __lex_hack = 0;
if (__lex_hack) goto yyfussy;
#endif
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 86 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
 	{ count(0); }
break;
case 2:

# line 87 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_PERCENTUVIEW; }
break;
case 3:

# line 88 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); return T_PERCENTUVIEW; }
break;
case 4:

# line 89 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); return T_PERCENTRVIEW; }
break;
case 5:

# line 90 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ count(1); return T_PERCENTSTORAGECLASS; }
break;
case 6:

# line 91 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); BEGIN INCLSTART; return T_INCLUDESTART; }
break;
case 7:

# line 92 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1);	 yylval.yt_casestring = mkcasestring(yytext); return T_ID;}
break;
case 8:

# line 93 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(0); }
break;
case 9:

# line 94 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); BEGIN INCL; }
break;
case 10:

# line 95 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_INCLUDE; }
break;
case 11:

# line 96 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_INCLUDE; }
break;
case 12:

# line 97 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); return yytext[0]; }
break;
case 13:

# line 98 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); BEGIN NORMAL; return T_INCLUDEEND; }
break;
case 14:

# line 99 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ int no_of_newlines; count(1); no_of_newlines = eat_comment(pg_filename);
					          yylval.yt_int = no_of_newlines; return T_CNEWLINES;
					    	}
break;
case 15:

# line 102 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); eat_comment(pg_filename); }
break;
case 16:

# line 103 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_ARROW; }
break;
case 17:

# line 104 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_DEFAULT; }
break;
case 18:

# line 105 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); yylval.yt_int = atoi(yytext); return T_INT; }
break;
case 19:

# line 106 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_LIST; }
break;
case 20:

# line 107 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_STATIC; }
break;
case 21:

# line 108 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_AUTO; }
break;
case 22:

# line 109 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); return T_REGISTER; }
break;
case 23:

# line 110 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_EXTERN; }
break;
case 24:

# line 111 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_TYPEDEF; }
break;
case 25:

# line 112 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_CONST; }
break;
case 26:

# line 113 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); return T_VOLATILE; }
break;
case 27:

# line 114 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_DOTDOTDOT; }
break;
case 28:

# line 115 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
 			{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_ID ; }
break;
case 29:

# line 116 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 30:

# line 117 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ count(1); yylval.yt_int = atoi(yytext+1); return T_DOLLARVAR; }
break;
case 31:

# line 118 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_UNPBLOCKSTART; }
break;
case 32:

# line 119 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_UNPBLOCKEND; }
break;
case 33:

# line 120 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 34:

# line 121 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); return yytext[0]; }
break;
case 35:

# line 122 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); yylval.yt_casestring = mkcasestring("\\"); return T_CEXPRESSION; }
break;
case 36:

# line 123 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); yylval.yt_casestring = mkcasestring("\\\\"); return T_CEXPRESSION; }
break;
case 37:

# line 124 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); BEGIN CEXPRDQ; return yytext[0]; }
break;
case 38:

# line 125 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); BEGIN CEXPRSQ; return yytext[0]; }
break;
case 39:

# line 126 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); BEGIN NORMAL; reset_nestcount(); return yytext[0]; }
break;
case 40:

# line 127 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); cinit_paren_nesting++;  yylval.yt_casestring = mkcasestring("("); return T_CEXPRESSION; }
break;
case 41:

# line 128 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); if (cinit_paren_nesting == 0) {
						      BEGIN NORMAL; reset_nestcount(); return yytext[0];
								} else {
						      cinit_paren_nesting--; yylval.yt_casestring = mkcasestring(")"); return T_CEXPRESSION; }
							}
break;
case 42:

# line 133 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); cinit_array_nesting++;  yylval.yt_casestring = mkcasestring("["); return T_CEXPRESSION; }
break;
case 43:

# line 134 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); if (cinit_array_nesting == 0) {
						      BEGIN NORMAL; reset_nestcount(); return yytext[0];
								} else {
						      cinit_array_nesting--; yylval.yt_casestring = mkcasestring("]"); return T_CEXPRESSION; }
							}
break;
case 44:

# line 139 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 45:

# line 140 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); BEGIN CEXPR; return yytext[0]; }
break;
case 46:

# line 141 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); yylval.yt_casestring = mkcasestring("\\\""); return T_CEXPRESSION; }
break;
case 47:

# line 142 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); BEGIN CEXPR; return yytext[0]; }
break;
case 48:

# line 143 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); yylval.yt_casestring = mkcasestring("\\'"); return T_CEXPRESSION; }
break;
case 49:

# line 144 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 50:

# line 145 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
					{ count(1); yylval.yt_casestring = mkcasestring("$"); return T_CLINE; }
break;
case 51:

# line 146 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
					{ count(1); yylval.yt_casestring = mkcasestring("\\\\"); return T_CLINE; }
break;
case 52:

# line 147 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
					{ count(1); yylval.yt_casestring = mkcasestring("\\"); return T_CLINE ; }
break;
case 53:

# line 148 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
					{ count(1); yylval.yt_casestring = mkcasestring("{"); /*WARNING-NO LONGER SUPPORTED*/ return T_CLINE ; }
break;
case 54:

# line 149 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
					{ count(1); yylval.yt_casestring = mkcasestring("}"); /*WARNING-NO LONGER SUPPORTED*/ return T_CLINE ; }
break;
case 55:

# line 150 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); if (strcmp(yytext, "$") == 0)
					 		     return yytext[0];
							  yylval.yt_int = atoi(yytext+1);
							  return T_DOLLARVAR;
							}
break;
case 56:

# line 155 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); if (strcmp(yytext, "foreach") ==0) {
							      return T_FOREACH;
							  } else if (strcmp(yytext, "with") ==0) {
							      return T_WITH;
							  } else {
							      yylval.yt_casestring = mkcasestring(yytext);
							      return T_CLINE ;
							  }
							}
break;
case 57:

# line 164 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 58:

# line 165 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
					{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 59:

# line 166 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 60:

# line 167 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 61:

# line 168 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 62:

# line 169 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
						{ count(1); return yytext[0]; }
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

static void reset_nestcount()
{
	/* WARNING if these are not == 0 */
	if (cinit_paren_nesting != 0) {
		v_report( NonFatal( NoFileLine(), Problem1S( "opening parenthesis '(' was not closed" )));
	}
	if (cinit_array_nesting != 0) {
		v_report( NonFatal( NoFileLine(), Problem1S( "opening bracket '[' was not closed" )));
	}
	cinit_paren_nesting = 0;
	cinit_array_nesting = 0;
}

void do_NORMAL()	{ BEGIN NORMAL; reset_nestcount(); }
void do_CEXPR()		{ BEGIN CEXPR; }
void do_CEXPRDQ()	{ BEGIN CEXPRDQ; }
void do_CEXPRSQ()	{ BEGIN CEXPRSQ; }
void do_C()			{ BEGIN C; }

int yywrap()		{ return 1; }

static int eat_comment
#ifdef KC_USE_PROTOTYPES
 (casestring start_filename)
#else
 (start_filename)
  casestring start_filename;
#endif
{
	char c1, c2;		/* comment string */
	int nest;
	int no_of_newlines = 0;
	int start_lineno = pg_lineno;

	for(nest=1, c2 = ' ';;){
		c1 = c2;
		c2 = input();
		if (c2 == '\n') {
			pg_lineno++;
			pg_column = 0;
		} else if (c2 == '\t') {
			pg_column += 8	- (pg_column %	8);
		} else if (c2 == 0) {
			v_report( Fatal( FileLine( start_filename, start_lineno ), Problem1S( "start of comment containing unexpected eof" )));
		} else {
			pg_column++;
		}
		if (c1 == '/' && c2 == '*')
			nest++;
		else if (c1 == '*' && c2 == '/')
			nest--;
		if (nest <= 0)
			break;
	}
	no_of_newlines = pg_lineno - start_lineno;
	return no_of_newlines;
}

/*ARGSUSED*/
static void counter
#ifdef KC_USE_PROTOTYPES
 (int notwhite)
#else
 (notwhite)
  int notwhite;
#endif
{
	register char *s;

#ifdef LEXDEBUG
	if (notwhite)
		printf ("symbol	found: %s\n", yytext);
#endif
	for	(s = yytext; *s; s++)
		if (*s == '\n')	{
			pg_column = 0;
			pg_lineno++;
		}
		else if	(*s	== '\t')
			pg_column += 8	- (pg_column %	8);
		else
			pg_column++;
}

/*
 *****************************
 * Parse error (and recovery)
 *****************************
 */

#include "error.h"
extern int yychar;
void yyerror(s) char *s;
{
	v_report( NonFatal( NoFileLine(), Problem1S1int1S( "col:", pg_column, s )));
	v_report( NonFatal( NoFileLine(), Problem3S1int1S( "yytext=`", yytext, "'; symbol was (", yychar, ")" )));
}

void yyrecovermsg(msg) char *msg;
{
	v_report( NonFatal( NoFileLine(), Problem2S( "Parsing Recovery:", msg )));
}


#ifndef FLEX_SCANNER
void yyrestart( input_file ) FILE *input_file; {}
#endif
int yyvstop[] = {
0,

62,
0,

1,
62,
0,

1,
0,

37,
62,
0,

62,
0,

38,
62,
0,

62,
0,

62,
0,

62,
0,

18,
62,
0,

28,
62,
0,

28,
62,
0,

28,
62,
0,

28,
62,
0,

28,
62,
0,

28,
62,
0,

28,
62,
0,

28,
62,
0,

28,
62,
0,

28,
62,
0,

62,
0,

10,
62,
0,

12,
0,

11,
62,
0,

10,
62,
0,

11,
62,
0,

8,
62,
0,

9,
0,

7,
62,
0,

29,
62,
0,

34,
0,

33,
62,
0,

40,
62,
0,

41,
62,
0,

29,
62,
0,

39,
62,
0,

42,
62,
0,

35,
62,
0,

43,
62,
0,

44,
62,
0,

45,
62,
0,

35,
62,
0,

49,
62,
0,

47,
62,
0,

35,
62,
0,

57,
62,
0,

55,
62,
0,

58,
62,
0,

56,
62,
0,

52,
62,
0,

30,
0,

31,
0,

32,
0,

18,
0,

16,
0,

15,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

6,
0,

10,
0,

10,
15,
0,

7,
0,

29,
0,

14,
29,
0,

36,
0,

44,
0,

46,
0,

49,
0,

48,
0,

57,
0,

50,
0,

55,
0,

53,
0,

54,
0,

14,
0,

56,
0,

51,
0,

27,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

13,
0,

21,
28,
0,

28,
0,

28,
0,

28,
0,

19,
28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

25,
28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

2,
0,

28,
0,

23,
28,
0,

28,
0,

20,
28,
0,

28,
0,

28,
0,

4,
0,

3,
0,

17,
28,
0,

28,
0,

24,
28,
0,

28,
0,

22,
28,
0,

26,
28,
0,

59,
0,

5,
0,

61,
0,

60,
0,
0};
# define YYTYPE unsigned char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,17,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,17,	1,0,	
1,17,	2,0,	91,122,	0,0,	
0,0,	3,17,	0,0,	0,0,	
0,0,	0,0,	0,0,	88,88,	
0,0,	3,18,	3,19,	3,18,	
0,0,	0,0,	89,0,	90,0,	
0,0,	0,0,	0,0,	1,17,	
174,174,	1,17,	1,17,	58,97,	
1,17,	1,17,	61,99,	25,73,	
41,0,	64,105,	88,88,	6,42,	
1,17,	1,17,	3,20,	24,72,	
3,21,	3,17,	72,108,	3,22,	
3,17,	89,0,	90,0,	174,174,	
0,0,	3,23,	3,24,	3,25,	
3,26,	4,37,	1,17,	0,0,	
0,0,	174,180,	0,0,	41,0,	
0,0,	4,23,	4,24,	0,0,	
41,90,	180,184,	124,140,	0,0,	
125,141,	3,27,	7,43,	7,44,	
140,154,	141,155,	126,142,	142,156,	
154,166,	155,167,	156,168,	167,175,	
175,181,	1,17,	54,95,	61,95,	
1,17,	58,95,	66,107,	8,43,	
8,44,	81,115,	30,77,	33,80,	
77,111,	80,114,	32,79,	87,121,	
3,17,	83,117,	111,129,	3,27,	
29,76,	3,28,	36,83,	3,29,	
3,30,	3,31,	28,75,	34,81,	
7,25,	31,78,	35,82,	75,109,	
3,32,	4,28,	42,91,	4,29,	
4,30,	4,31,	3,33,	3,34,	
3,35,	6,38,	3,36,	6,38,	
4,32,	8,25,	7,45,	3,17,	
5,38,	3,17,	4,33,	4,34,	
4,35,	16,17,	4,36,	16,17,	
5,38,	5,39,	5,38,	4,17,	
76,110,	4,17,	78,112,	8,45,	
10,50,	79,113,	21,67,	21,67,	
21,67,	21,67,	21,67,	21,67,	
21,67,	21,67,	21,67,	21,67,	
7,45,	82,116,	84,118,	85,119,	
86,120,	5,38,	10,52,	5,38,	
5,40,	96,0,	5,38,	5,38,	
109,127,	9,46,	110,128,	98,0,	
112,130,	8,45,	5,41,	5,38,	
113,131,	9,46,	9,47,	9,46,	
114,132,	115,133,	116,134,	117,135,	
7,17,	118,136,	7,17,	119,137,	
120,138,	96,0,	121,139,	128,143,	
5,38,	129,144,	10,53,	130,145,	
10,55,	132,146,	133,147,	134,148,	
98,0,	8,17,	9,20,	8,17,	
9,48,	9,46,	135,149,	9,22,	
9,49,	9,50,	13,59,	136,150,	
137,151,	138,152,	139,153,	9,51,	
9,46,	144,157,	13,59,	5,38,	
13,59,	21,68,	5,38,	21,69,	
145,158,	146,159,	10,46,	9,52,	
10,46,	147,160,	148,161,	11,56,	
149,162,	9,46,	150,163,	151,164,	
152,165,	157,169,	159,170,	11,56,	
11,47,	11,56,	161,171,	13,59,	
162,172,	13,59,	13,59,	96,0,	
13,60,	13,59,	5,38,	164,173,	
5,38,	98,0,	166,174,	168,176,	
13,59,	13,59,	170,177,	9,53,	
9,54,	9,55,	172,178,	9,46,	
11,57,	173,179,	11,56,	11,56,	
176,182,	11,56,	11,56,	179,183,	
14,59,	181,185,	13,59,	182,186,	
183,187,	11,56,	11,56,	185,188,	
14,59,	186,189,	14,59,	37,84,	
37,85,	187,190,	37,86,	37,87,	
15,62,	188,191,	190,193,	9,46,	
37,88,	9,46,	191,194,	11,56,	
15,62,	15,47,	15,62,	193,197,	
196,199,	13,61,	198,200,	0,0,	
13,59,	14,59,	0,0,	14,59,	
14,59,	0,0,	14,60,	14,59,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	14,59,	14,59,	
0,0,	15,20,	11,58,	15,63,	
15,62,	11,56,	15,22,	15,62,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	15,64,	15,62,	
14,59,	23,70,	23,70,	23,70,	
23,70,	23,70,	23,70,	23,70,	
23,70,	23,70,	23,70,	0,0,	
0,0,	0,0,	0,0,	23,71,	
15,65,	26,70,	26,70,	26,70,	
26,70,	26,70,	26,70,	26,70,	
26,70,	26,70,	26,70,	14,61,	
0,0,	0,0,	14,59,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	0,0,	0,0,	15,66,	
0,0,	0,0,	15,65,	0,0,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	15,17,	0,0,	
15,17,	0,0,	27,74,	0,0,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	38,89,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	38,89,	38,0,	
38,89,	48,67,	48,67,	48,67,	
48,67,	48,67,	48,67,	48,67,	
48,67,	48,67,	48,67,	102,102,	
102,102,	102,102,	102,102,	102,102,	
102,102,	102,102,	102,102,	102,102,	
102,102,	0,0,	0,0,	38,89,	
0,0,	38,89,	38,0,	0,0,	
38,89,	38,89,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
38,89,	38,89,	45,92,	45,92,	
45,92,	45,92,	45,92,	45,92,	
45,92,	45,92,	45,92,	45,92,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	38,89,	45,92,	
45,92,	45,92,	45,92,	45,92,	
45,92,	45,92,	45,92,	45,92,	
45,92,	45,92,	45,92,	45,92,	
45,92,	45,92,	45,92,	45,92,	
45,92,	45,92,	45,92,	45,92,	
45,92,	45,92,	45,92,	45,92,	
45,92,	38,89,	0,0,	0,0,	
38,89,	45,92,	0,0,	45,92,	
45,92,	45,92,	45,92,	45,92,	
45,92,	45,92,	45,92,	45,92,	
45,92,	45,92,	45,92,	45,92,	
45,92,	45,92,	45,92,	45,92,	
45,92,	45,92,	45,92,	45,92,	
45,92,	45,92,	45,92,	45,92,	
45,92,	46,93,	192,195,	105,123,	
0,0,	194,194,	0,0,	0,0,	
0,0,	46,93,	46,0,	46,93,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
51,0,	0,0,	195,195,	0,0,	
0,0,	192,195,	105,123,	0,0,	
194,194,	0,0,	0,0,	0,0,	
0,0,	0,0,	46,0,	192,196,	
46,0,	46,93,	194,198,	46,0,	
46,0,	46,0,	0,0,	0,0,	
51,0,	195,195,	51,0,	46,93,	
46,93,	51,0,	51,0,	51,0,	
51,94,	0,0,	0,0,	195,196,	
0,0,	0,0,	0,0,	46,0,	
0,0,	0,0,	0,0,	105,124,	
0,0,	46,93,	0,0,	0,0,	
0,0,	51,0,	0,0,	56,96,	
105,125,	0,0,	0,0,	0,0,	
0,0,	105,126,	0,0,	56,96,	
56,0,	56,96,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	59,98,	46,0,	
46,0,	46,0,	0,0,	46,93,	
0,0,	0,0,	59,98,	59,0,	
59,98,	51,0,	51,0,	51,0,	
56,0,	0,0,	56,96,	56,96,	
0,0,	56,96,	56,96,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	56,96,	56,96,	0,0,	
0,0,	0,0,	62,100,	59,98,	
0,0,	59,98,	59,98,	0,0,	
59,0,	59,98,	62,100,	62,0,	
62,100,	0,0,	0,0,	56,96,	
59,98,	59,98,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	59,98,	62,0,	
0,0,	62,0,	62,100,	0,0,	
62,0,	62,100,	56,0,	0,0,	
0,0,	56,96,	0,0,	0,0,	
62,0,	62,100,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	59,0,	0,0,	0,0,	
59,98,	0,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
0,0,	62,0,	0,0,	0,0,	
62,0,	0,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	63,101,	62,0,	0,0,	
93,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	63,102,	63,102,	63,102,	
63,102,	63,102,	63,102,	63,102,	
63,102,	63,102,	63,102,	0,0,	
0,0,	0,0,	0,0,	0,0,	
93,0,	0,0,	93,0,	0,0,	
0,0,	93,0,	93,0,	93,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	65,106,	65,106,	
65,106,	65,106,	65,106,	65,106,	
65,106,	65,106,	65,106,	65,106,	
0,0,	93,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	65,106,	
65,106,	65,106,	65,106,	65,106,	
65,106,	65,106,	65,106,	65,106,	
65,106,	65,106,	65,106,	65,106,	
65,106,	65,106,	65,106,	65,106,	
65,106,	65,106,	65,106,	65,106,	
65,106,	65,106,	65,106,	65,106,	
65,106,	93,0,	93,0,	93,0,	
63,103,	65,106,	63,104,	65,106,	
65,106,	65,106,	65,106,	65,106,	
65,106,	65,106,	65,106,	65,106,	
65,106,	65,106,	65,106,	65,106,	
65,106,	65,106,	65,106,	65,106,	
65,106,	65,106,	65,106,	65,106,	
65,106,	65,106,	65,106,	65,106,	
65,106,	94,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	94,0,	0,0,	94,0,	
0,0,	0,0,	94,0,	94,0,	
94,0,	100,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	94,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	100,0,	0,0,	100,0,	
0,0,	0,0,	100,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	100,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	94,0,	94,0,	
94,0,	0,0,	0,0,	0,0,	
100,0,	100,0,	100,0,	100,0,	
100,0,	100,0,	100,0,	100,0,	
100,0,	100,0,	100,0,	100,0,	
100,0,	100,0,	100,0,	100,0,	
100,0,	100,0,	100,0,	100,0,	
100,0,	100,0,	100,0,	100,0,	
100,0,	100,0,	0,0,	100,0,	
0,0,	0,0,	100,0,	0,0,	
100,0,	100,0,	100,0,	100,0,	
100,0,	100,0,	100,0,	100,0,	
100,0,	100,0,	100,0,	100,0,	
100,0,	100,0,	100,0,	100,0,	
100,0,	100,0,	100,0,	100,0,	
100,0,	100,0,	100,0,	100,0,	
100,0,	100,0,	100,0,	189,189,	
100,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	189,189,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	189,192,	189,192,	
189,192,	189,192,	189,192,	189,192,	
189,192,	189,192,	189,192,	189,192,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-3,	yysvec+1,	0,	
yycrank+-16,	0,		0,	
yycrank+-28,	yysvec+3,	0,	
yycrank+-139,	0,		0,	
yycrank+-10,	yysvec+5,	0,	
yycrank+-73,	yysvec+1,	0,	
yycrank+-90,	yysvec+1,	0,	
yycrank+-180,	0,		0,	
yycrank+-115,	yysvec+9,	0,	
yycrank+-242,	0,		0,	
yycrank+0,	yysvec+11,	0,	
yycrank+-221,	yysvec+11,	0,	
yycrank+-283,	yysvec+11,	0,	
yycrank+-299,	0,		0,	
yycrank+-22,	yysvec+15,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+0,	0,		yyvstop+6,
yycrank+0,	0,		yyvstop+8,
yycrank+110,	0,		yyvstop+11,
yycrank+0,	0,		yyvstop+13,
yycrank+301,	0,		yyvstop+16,
yycrank+5,	0,		yyvstop+18,
yycrank+1,	0,		yyvstop+20,
yycrank+317,	0,		yyvstop+22,
yycrank+331,	0,		yyvstop+25,
yycrank+1,	yysvec+27,	yyvstop+28,
yycrank+1,	yysvec+27,	yyvstop+31,
yycrank+1,	yysvec+27,	yyvstop+34,
yycrank+1,	yysvec+27,	yyvstop+37,
yycrank+1,	yysvec+27,	yyvstop+40,
yycrank+2,	yysvec+27,	yyvstop+43,
yycrank+3,	yysvec+27,	yyvstop+46,
yycrank+1,	yysvec+27,	yyvstop+49,
yycrank+3,	yysvec+27,	yyvstop+52,
yycrank+181,	0,		yyvstop+55,
yycrank+-453,	0,		yyvstop+57,
yycrank+0,	0,		yyvstop+60,
yycrank+0,	0,		yyvstop+62,
yycrank+-34,	yysvec+38,	yyvstop+65,
yycrank+1,	0,		yyvstop+68,
yycrank+0,	0,		yyvstop+71,
yycrank+0,	0,		yyvstop+74,
yycrank+454,	0,		yyvstop+76,
yycrank+-576,	0,		yyvstop+79,
yycrank+0,	0,		yyvstop+82,
yycrank+417,	0,		yyvstop+84,
yycrank+0,	0,		yyvstop+87,
yycrank+0,	0,		yyvstop+90,
yycrank+-586,	yysvec+46,	yyvstop+93,
yycrank+0,	0,		yyvstop+96,
yycrank+0,	0,		yyvstop+99,
yycrank+2,	0,		yyvstop+102,
yycrank+0,	0,		yyvstop+105,
yycrank+-646,	0,		yyvstop+108,
yycrank+0,	0,		yyvstop+111,
yycrank+5,	0,		yyvstop+114,
yycrank+-665,	0,		yyvstop+117,
yycrank+0,	0,		yyvstop+120,
yycrank+3,	0,		yyvstop+123,
yycrank+-697,	0,		yyvstop+126,
yycrank+785,	0,		yyvstop+129,
yycrank+3,	0,		yyvstop+132,
yycrank+814,	0,		yyvstop+135,
yycrank+6,	0,		yyvstop+138,
yycrank+0,	yysvec+48,	yyvstop+141,
yycrank+0,	0,		yyvstop+143,
yycrank+0,	0,		yyvstop+145,
yycrank+0,	yysvec+26,	yyvstop+147,
yycrank+0,	0,		yyvstop+149,
yycrank+8,	0,		0,	
yycrank+0,	0,		yyvstop+151,
yycrank+0,	yysvec+27,	yyvstop+153,
yycrank+7,	yysvec+27,	yyvstop+155,
yycrank+42,	yysvec+27,	yyvstop+157,
yycrank+2,	yysvec+27,	yyvstop+159,
yycrank+38,	yysvec+27,	yyvstop+161,
yycrank+42,	yysvec+27,	yyvstop+163,
yycrank+2,	yysvec+27,	yyvstop+165,
yycrank+4,	yysvec+27,	yyvstop+167,
yycrank+57,	yysvec+27,	yyvstop+169,
yycrank+1,	yysvec+27,	yyvstop+171,
yycrank+52,	0,		0,	
yycrank+55,	0,		0,	
yycrank+54,	0,		0,	
yycrank+2,	0,		0,	
yycrank+14,	0,		yyvstop+173,
yycrank+-20,	yysvec+38,	yyvstop+175,
yycrank+-21,	yysvec+38,	yyvstop+177,
yycrank+4,	0,		0,	
yycrank+0,	yysvec+45,	yyvstop+180,
yycrank+-814,	yysvec+46,	yyvstop+182,
yycrank+-927,	yysvec+46,	yyvstop+184,
yycrank+0,	0,		yyvstop+187,
yycrank+-167,	yysvec+56,	yyvstop+189,
yycrank+0,	0,		yyvstop+191,
yycrank+-173,	yysvec+59,	yyvstop+193,
yycrank+0,	0,		yyvstop+195,
yycrank+-959,	yysvec+62,	yyvstop+197,
yycrank+0,	0,		yyvstop+199,
yycrank+427,	0,		yyvstop+201,
yycrank+0,	0,		yyvstop+203,
yycrank+0,	0,		yyvstop+205,
yycrank+570,	0,		yyvstop+207,
yycrank+0,	yysvec+65,	yyvstop+209,
yycrank+0,	0,		yyvstop+211,
yycrank+0,	0,		yyvstop+213,
yycrank+69,	yysvec+27,	yyvstop+215,
yycrank+67,	yysvec+27,	yyvstop+217,
yycrank+13,	yysvec+27,	yyvstop+219,
yycrank+83,	yysvec+27,	yyvstop+221,
yycrank+72,	yysvec+27,	yyvstop+223,
yycrank+87,	yysvec+27,	yyvstop+225,
yycrank+77,	yysvec+27,	yyvstop+227,
yycrank+93,	yysvec+27,	yyvstop+229,
yycrank+98,	yysvec+27,	yyvstop+231,
yycrank+92,	0,		0,	
yycrank+88,	0,		0,	
yycrank+95,	0,		0,	
yycrank+101,	0,		0,	
yycrank+0,	0,		yyvstop+233,
yycrank+0,	yysvec+105,	0,	
yycrank+1,	0,		0,	
yycrank+1,	0,		0,	
yycrank+1,	0,		0,	
yycrank+0,	yysvec+27,	yyvstop+235,
yycrank+87,	yysvec+27,	yyvstop+238,
yycrank+88,	yysvec+27,	yyvstop+240,
yycrank+93,	yysvec+27,	yyvstop+242,
yycrank+0,	yysvec+27,	yyvstop+244,
yycrank+94,	yysvec+27,	yyvstop+247,
yycrank+105,	yysvec+27,	yyvstop+249,
yycrank+111,	yysvec+27,	yyvstop+251,
yycrank+102,	yysvec+27,	yyvstop+253,
yycrank+122,	0,		0,	
yycrank+110,	0,		0,	
yycrank+124,	0,		0,	
yycrank+107,	0,		0,	
yycrank+4,	0,		0,	
yycrank+1,	0,		0,	
yycrank+7,	0,		0,	
yycrank+0,	yysvec+27,	yyvstop+255,
yycrank+121,	yysvec+27,	yyvstop+258,
yycrank+126,	yysvec+27,	yyvstop+260,
yycrank+121,	yysvec+27,	yyvstop+262,
yycrank+142,	yysvec+27,	yyvstop+264,
yycrank+141,	yysvec+27,	yyvstop+266,
yycrank+139,	yysvec+27,	yyvstop+268,
yycrank+127,	0,		0,	
yycrank+150,	0,		0,	
yycrank+129,	0,		0,	
yycrank+0,	0,		yyvstop+270,
yycrank+4,	0,		0,	
yycrank+7,	0,		0,	
yycrank+10,	0,		0,	
yycrank+133,	yysvec+27,	yyvstop+272,
yycrank+0,	yysvec+27,	yyvstop+274,
yycrank+149,	yysvec+27,	yyvstop+277,
yycrank+0,	yysvec+27,	yyvstop+279,
yycrank+152,	yysvec+27,	yyvstop+282,
yycrank+148,	yysvec+27,	yyvstop+284,
yycrank+0,	0,		yyvstop+286,
yycrank+160,	0,		0,	
yycrank+0,	0,		yyvstop+288,
yycrank+177,	0,		0,	
yycrank+22,	0,		0,	
yycrank+185,	0,		0,	
yycrank+0,	yysvec+27,	yyvstop+290,
yycrank+156,	yysvec+27,	yyvstop+293,
yycrank+0,	yysvec+27,	yyvstop+295,
yycrank+173,	yysvec+27,	yyvstop+298,
yycrank+176,	0,		0,	
yycrank+27,	0,		0,	
yycrank+27,	0,		0,	
yycrank+211,	0,		0,	
yycrank+0,	yysvec+27,	yyvstop+300,
yycrank+0,	yysvec+27,	yyvstop+303,
yycrank+184,	0,		0,	
yycrank+30,	0,		0,	
yycrank+218,	0,		0,	
yycrank+204,	0,		0,	
yycrank+180,	0,		0,	
yycrank+0,	0,		yyvstop+306,
yycrank+219,	0,		0,	
yycrank+210,	0,		0,	
yycrank+200,	0,		0,	
yycrank+232,	0,		0,	
yycrank+1074,	0,		0,	
yycrank+187,	0,		0,	
yycrank+238,	0,		0,	
yycrank+569,	yysvec+189,	0,	
yycrank+196,	0,		0,	
yycrank+572,	0,		0,	
yycrank+589,	0,		0,	
yycrank+265,	0,		0,	
yycrank+0,	0,		yyvstop+308,
yycrank+267,	0,		0,	
yycrank+0,	0,		yyvstop+310,
yycrank+0,	0,		yyvstop+312,
0,	0,	0};
struct yywork *yytop = yycrank+1131;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
  0,   1,   1,   1,   1,   1,   1,   1, 
  1,   9,  10,  11,  11,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  9,   1,  34,   1,  36,  37,   1,  39, 
 40,  40,   1,   1,   1,   1,   1,  47, 
 48,  48,  48,  48,  48,  48,  48,  48, 
 48,  48,   1,  40,   1,   1,   1,   1, 
  1,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  40,  92,  40,   1,  95, 
  1,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  47,   1,  47,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*	Copyright (c) 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#pragma ident	"@(#)ncform	6.8	95/02/11 SMI"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
#ifndef __cplusplus
			*yylastch++ = yych = input();
#else
			*yylastch++ = yych = lex_input();
#endif
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
#ifndef __cplusplus
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
#else
		yyprevious = yytext[0] = lex_input();
		if (yyprevious>0)
			lex_output(yyprevious);
#endif
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
#ifndef __cplusplus
	return(input());
#else
	return(lex_input());
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
#ifndef __cplusplus
	output(c);
#else
	lex_output(c);
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
